#include <Wire.h>

#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
 #include <Fonts/FreeMono9pt7b.h>
 #include<Fonts/FreeSans24pt7b.h>

#define SCREEN_WIDTH 128 // OLED longueur en pixel
#define SCREEN_HEIGHT 64 // OLED largeur pixels

#define OLED_RESET     4 // reset
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);


void init_OLED(){
 display.begin(SSD1306_SWITCHCAPVCC, 0x3C); // adresse I2C 0x3C
 display.clearDisplay();                    // efface le buffer de l'afficheur
 display.setFont(&FreeMono9pt7b);          // caractere de 9pt de 7 bit
 display.setTextSize(1);                    // setTextSize est facteur d'echelle
 display.setTextColor(WHITE);              // La couleur du texte
}


void setup() {
  Serial.begin(9600);
  init_OLED();
}


float degre=0;
float pente;

void aff_data(){
   display.clearDisplay();
   display.setCursor(8,10);             // On va écrire en x=8, y=10
   display.println("INCLINAISON");     // un println comme pour écrire sur le port série
   display.setCursor(0,30);            // On place le curseur
   display.print("degre:");
   display.println(degre);
   degre++;
   if(degre>10)degre=0;
  display.display();
  delay(20);
}

void loop() {
 aff_data();
 delay(100);
}
